Subject: bug#28945: 25.2; desktop auto save timer does not work

From: Peter Neidhardt <[email-masked]>
Date: Mon, 23 Oct 2017 20:57:17 +0100

Eli Zaretskii <[email-masked]> writes:

> How many frames and how many buffers do you typically have in a
> session?

Only one frame (I use EXWM), but dozens of buffers, typically between 10-50.

>> > If you experience any irresponsiveness everytime desktop gets saved,
>> > increase the timeout.
>> > If not, it's safe to have it around 10.
>
> This kind of advice generally belongs in the manual, not in the doc
> string, IMO.

The manual has this:

> When ‘desktop-save-mode’ is active and the desktop file exists, Emacs
> auto-saves it every ‘desktop-auto-save-timeout’ seconds, if that is
> non-‘nil’ and non-zero.

It's terribly misleading: it does not mention that it only saves when
idle while "every" is wrong here considering that it saves only once
until the window configuration gets changed.

--
Peter Neidhardt

Calm down, it's *____only* ones and zeroes.